//
function goBack(action) {
    top.menu.doSearch(action, 1, 0);
}
//
function goAction(action) {
    //
    var form = document.input;
    if (form == null) {
        return;
    }
    //
    form.elements[action].value = "true";
    //
    form.submit();
}
//
function doClearForm(key) {
    //
    var form = document.input;
    if (form == null) {
        return;
    }
    //
    form.elements[key].value = "";
}
//
function doChangeTab(action) {
    //
    var form = document.input;
    if (form == null) {
        return;
    }
    //
    form.operation.value = "read";
    //
    form.elements[action].value = "true";
    //
    form.submit();
}
//
function disableText(radioname, value, text) {
    var form = document.input;
    if (form == null) {
        return;
    }

    radio = form.elements[radioname];
    for (i = 0; i < radio.length; i++) {
        if (radio[i].value != value) {
            continue;
        }
        if (radio[i].checked) {
            form.elements[text].disabled = false;
        } else {
            form.elements[text].disabled = true;
        }
    }
}
//
function disableBySelect(select) {
    var form = document.input;
    if (form == null) {
        return;
    }

    select = form.elements[select];
    for (i = 0; i < select.length; i++) {
        if (select[i].selected) {
            form.elements[select[i].value].disabled = false;
        } else {
            form.elements[select[i].value].disabled = true;
        }
    }
}
